DATA example5_6;
DO center=1 TO 2; 
DO group=1 TO 2;
DO effect=1 TO 2;
INPUT f@@;
OUTPUT;
END;
END;
END;
CARDS;
8	22
4	26
11	19
9	21
;
PROC FREQ;
TABLE center*group*effect/noprint chisq cmh;
/*noprint选项表示不输出频数表，cmh输出Cochran-Mantel-Haenszel统计量*/
WEIGHT f;
RUN;
